From 0c274d52611fc5a779009c05f8c905a87d92b2ad Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Wed, 28 Mar 2012 00:02:21 -0500
Subject: [PATCH] Replaced deprecated ApacheHttpClientExecutor.

The deprecated ApacheHttpClientExecutor class has been replaced with
ApacheHttpClient4Executor.

Ticket #3
---
 .../netscape/cms/servlet/test/DRMRestClient.java   |    6 ++----
 base/util/src/netscape/security/x509/AlgIdDSA.java |   16 ++++------------
 2 files changed, 6 insertions(+), 16 deletions(-)

diff --git a/base/kra/functional/src/com/netscape/cms/servlet/test/DRMRestClient.java b/base/kra/functional/src/com/netscape/cms/servlet/test/DRMRestClient.java
index 14b2aa3dc4df5aeb01eb0842d6945203f0f56745..509b82452ab6a3a35c6163faa64786a7e706250e 100644
--- a/base/kra/functional/src/com/netscape/cms/servlet/test/DRMRestClient.java
+++ b/base/kra/functional/src/com/netscape/cms/servlet/test/DRMRestClient.java
@@ -11,14 +11,13 @@ import java.util.Enumeration;
 import java.util.Iterator;
 
 import org.apache.commons.httpclient.ConnectTimeoutException;
-import org.apache.commons.httpclient.HttpClient;
 import org.apache.commons.httpclient.params.HttpConnectionParams;
 import org.apache.commons.httpclient.protocol.Protocol;
 import org.apache.commons.httpclient.protocol.ProtocolSocketFactory;
 import org.jboss.resteasy.client.ClientExecutor;
 import org.jboss.resteasy.client.ClientResponse;
 import org.jboss.resteasy.client.ProxyFactory;
-import org.jboss.resteasy.client.core.executors.ApacheHttpClientExecutor;
+import org.jboss.resteasy.client.core.executors.ApacheHttpClient4Executor;
 import org.jboss.resteasy.spi.ResteasyProviderFactory;
 import org.mozilla.jss.ssl.SSLCertificateApprovalCallback;
 import org.mozilla.jss.ssl.SSLClientCertificateSelectionCallback;
@@ -169,8 +168,7 @@ public class DRMRestClient {
                 new Protocol(protocol, new JSSProtocolSocketFactory(), port));
         }
 
-        HttpClient httpclient = new HttpClient();
-        ClientExecutor executor = new ApacheHttpClientExecutor(httpclient);
+        ClientExecutor executor = new ApacheHttpClient4Executor();
 
         ResteasyProviderFactory providerFactory = ResteasyProviderFactory.getInstance();
         providerFactory.addClientErrorInterceptor(new DRMErrorInterceptor());
diff --git a/base/util/src/netscape/security/x509/AlgIdDSA.java b/base/util/src/netscape/security/x509/AlgIdDSA.java
index 0a64ad37bd051d244ac97318c37283b4750f52e7..a34c5f59f42083be3132a915d206598a92538ccf 100644
--- a/base/util/src/netscape/security/x509/AlgIdDSA.java
+++ b/base/util/src/netscape/security/x509/AlgIdDSA.java
@@ -31,14 +31,14 @@ import netscape.security.util.DerValue;
  * by using different algorithm parameters <em>P, Q, G</em>. It uses the
  * NIST/IETF standard DER encoding. These are used to implement the Digital
  * Signature Standard (DSS), FIPS 186.
- * 
+ *
  * <P>
  * <em><b>NOTE:</b>  At this time, DSS/DSA Algorithm IDs must always
  * include these parameters.  Use of DSS/DSA in modes where parameters are
  * either implicit (e.g. a default applicable to a site or a larger scope),
  * or are derived from some Certificate Authority's DSS certificate, is
  * not currently supported. </em>
- * 
+ *
  * @version 1.31
  * @author David Brownell
  */
@@ -67,14 +67,6 @@ public final class AlgIdDSA extends AlgorithmId implements DSAParams {
         return g;
     }
 
-    /**
-     * Default constructor. The OID and parameters must be
-     * deserialized before this algorithm ID is used.
-     */
-    // XXX deprecated for general use
-    public AlgIdDSA() {
-    }
-
     AlgIdDSA(DerValue val) throws IOException {
         super(val.getOID());
     }
@@ -90,7 +82,7 @@ public final class AlgIdDSA extends AlgorithmId implements DSAParams {
      * Constructs a DSS/DSA Algorithm ID from unsigned integers that
      * define the algorithm parameters. Those integers are encoded
      * as big-endian byte arrays.
-     * 
+     *
      * @param p the DSS/DSA paramter "P"
      * @param q the DSS/DSA paramter "Q"
      * @param g the DSS/DSA paramter "G"
@@ -104,7 +96,7 @@ public final class AlgIdDSA extends AlgorithmId implements DSAParams {
 
     /**
      * Constructs a DSS/DSA Algorithm ID from numeric parameters.
-     * 
+     *
      * @param p the DSS/DSA paramter "P"
      * @param q the DSS/DSA paramter "Q"
      * @param g the DSS/DSA paramter "G"
-- 
1.7.7.4