>From 581d4964ceea3aa2aaf0bf6a5f6653fad22130cb Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Wed, 12 Dec 2012 15:03:09 -0500
Subject: [PATCH 102/107] Removed duplicate pki_instance_id parameter.

Ticket 435
---
 base/deploy/etc/default.cfg                  | 37 ++++++++++----------
 base/deploy/man/man5/pki_default.cfg.5       |  8 ++---
 base/deploy/src/scriptlets/finalization.py   |  4 +--
 base/deploy/src/scriptlets/initialization.py |  6 ++--
 base/deploy/src/scriptlets/pkihelper.py      | 50 ++++++++++++++--------------
 base/deploy/src/scriptlets/pkiparser.py      | 42 +++++++++++------------
 6 files changed, 71 insertions(+), 76 deletions(-)

diff --git a/base/deploy/etc/default.cfg b/base/deploy/etc/default.cfg
index abd0fb44188489cfecc71a965c48d84e7de7ee1a..f665bb82989f6e90908ad3fcafa76e8b1a0d4e9c 100644
--- a/base/deploy/etc/default.cfg
+++ b/base/deploy/etc/default.cfg
@@ -90,7 +90,6 @@ pki_ds_password=
 pki_ds_remove_data=True
 pki_ds_secure_connection=False
 pki_group=pkiuser
-pki_instance_id=%(pki_instance_name)s
 pki_issuing_ca=
 pki_restart_configured_instance=True
 pki_security_domain_hostname=%(pki_hostname)s
@@ -103,7 +102,7 @@ pki_skip_installation=False
 pki_ssl_server_key_algorithm=SHA256withRSA
 pki_ssl_server_key_size=2048
 pki_ssl_server_key_type=rsa
-pki_ssl_server_nickname=Server-Cert cert-%(pki_instance_id)s
+pki_ssl_server_nickname=Server-Cert cert-%(pki_instance_name)s
 pki_ssl_server_subject_dn=cn=%(pki_hostname)s,o=%(pki_security_domain_name)s
 pki_ssl_server_token=Internal Key Storage Token
 pki_subsystem_key_algorithm=SHA256withRSA
@@ -175,7 +174,7 @@ pki_tomcat_server_port=8005
 pki_ca_signing_key_algorithm=SHA256withRSA
 pki_ca_signing_key_size=2048
 pki_ca_signing_key_type=rsa
-pki_ca_signing_nickname=caSigningCert cert-%(pki_instance_id)s CA
+pki_ca_signing_nickname=caSigningCert cert-%(pki_instance_name)s CA
 pki_ca_signing_signing_algorithm=SHA256withRSA
 pki_ca_signing_subject_dn=cn=CA Signing Certificate,o=%(pki_security_domain_name)s
 pki_ca_signing_token=Internal Key Storage Token
@@ -188,7 +187,7 @@ pki_import_admin_cert=False
 pki_ocsp_signing_key_algorithm=SHA256withRSA
 pki_ocsp_signing_key_size=2048
 pki_ocsp_signing_key_type=rsa
-pki_ocsp_signing_nickname=ocspSigningCert cert-%(pki_instance_id)s CA
+pki_ocsp_signing_nickname=ocspSigningCert cert-%(pki_instance_name)s CA
 pki_ocsp_signing_signing_algorithm=SHA256withRSA
 pki_ocsp_signing_subject_dn=cn=CA OCSP Signing Certificate,o=%(pki_security_domain_name)s
 pki_ocsp_signing_token=Internal Key Storage Token
@@ -198,13 +197,13 @@ pki_admin_name=%(pki_admin_uid)s
 pki_admin_nickname=PKI Administrator for %(pki_dns_domainname)s
 pki_admin_subject_dn=cn=PKI Administrator,e=%(pki_admin_email)s,o=%(pki_security_domain_name)s
 pki_admin_uid=caadmin
-pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_id)s CA
+pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_name)s CA
 pki_audit_signing_subject_dn=cn=CA Audit Signing Certificate,o=%(pki_security_domain_name)s
-pki_ds_base_dn=o=%(pki_instance_id)s-CA
+pki_ds_base_dn=o=%(pki_instance_name)s-CA
 pki_ds_database=%(pki_instance_name)s-CA
 pki_ds_hostname=%(pki_hostname)s
 pki_subsystem_name=CA %(pki_hostname)s %(pki_https_port)s
-pki_subsystem_nickname=subsystemCert cert-%(pki_instance_id)s CA
+pki_subsystem_nickname=subsystemCert cert-%(pki_instance_name)s CA
 pki_subsystem_subject_dn=cn=CA Subsystem Certificate,o=%(pki_security_domain_name)s
 
 
@@ -220,14 +219,14 @@ pki_import_admin_cert=True
 pki_storage_key_algorithm=SHA256withRSA
 pki_storage_key_size=2048
 pki_storage_key_type=rsa
-pki_storage_nickname=storageCert cert-%(pki_instance_id)s KRA
+pki_storage_nickname=storageCert cert-%(pki_instance_name)s KRA
 pki_storage_signing_algorithm=SHA256withRSA
 pki_storage_subject_dn=cn=DRM Storage Certificate,o=%(pki_security_domain_name)s
 pki_storage_token=Internal Key Storage Token
 pki_transport_key_algorithm=SHA256withRSA
 pki_transport_key_size=2048
 pki_transport_key_type=rsa
-pki_transport_nickname=transportCert cert-%(pki_instance_id)s KRA
+pki_transport_nickname=transportCert cert-%(pki_instance_name)s KRA
 pki_transport_signing_algorithm=SHA256withRSA
 pki_transport_subject_dn=cn=DRM Transport Certificate,o=%(pki_security_domain_name)s
 pki_transport_token=Internal Key Storage Token
@@ -236,13 +235,13 @@ pki_admin_name=%(pki_admin_uid)s
 pki_admin_nickname=PKI Administrator for %(pki_dns_domainname)s
 pki_admin_subject_dn=cn=PKI Administrator,e=%(pki_admin_email)s,o=%(pki_security_domain_name)s
 pki_admin_uid=kraadmin
-pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_id)s KRA
+pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_name)s KRA
 pki_audit_signing_subject_dn=cn=KRA Audit Signing Certificate,o=%(pki_security_domain_name)s
-pki_ds_base_dn=o=%(pki_instance_id)s-KRA
+pki_ds_base_dn=o=%(pki_instance_name)s-KRA
 pki_ds_database=%(pki_instance_name)s-KRA
 pki_ds_hostname=%(pki_hostname)s
 pki_subsystem_name=KRA %(pki_hostname)s %(pki_https_port)s
-pki_subsystem_nickname=subsystemCert cert-%(pki_instance_id)s KRA
+pki_subsystem_nickname=subsystemCert cert-%(pki_instance_name)s KRA
 pki_subsystem_subject_dn=cn=KRA Subsystem Certificate,o=%(pki_security_domain_name)s
 
 ###############################################################################
@@ -257,7 +256,7 @@ pki_import_admin_cert=True
 pki_ocsp_signing_key_algorithm=SHA256withRSA
 pki_ocsp_signing_key_size=2048
 pki_ocsp_signing_key_type=rsa
-pki_ocsp_signing_nickname=ocspSigningCert cert-%(pki_instance_id)s OCSP
+pki_ocsp_signing_nickname=ocspSigningCert cert-%(pki_instance_name)s OCSP
 pki_ocsp_signing_signing_algorithm=SHA256withRSA
 pki_ocsp_signing_subject_dn=cn=OCSP Signing Certificate,o=%(pki_security_domain_name)s
 pki_ocsp_signing_token=Internal Key Storage Token
@@ -266,13 +265,13 @@ pki_admin_name=%(pki_admin_uid)s
 pki_admin_nickname=PKI Administrator for %(pki_dns_domainname)s
 pki_admin_subject_dn=cn=PKI Administrator,e=%(pki_admin_email)s,o=%(pki_security_domain_name)s
 pki_admin_uid=ocspadmin
-pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_id)s OCSP
+pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_name)s OCSP
 pki_audit_signing_subject_dn=cn=OCSP Audit Signing Certificate,o=%(pki_security_domain_name)s
-pki_ds_base_dn=o=%(pki_instance_id)s-OCSP
+pki_ds_base_dn=o=%(pki_instance_name)s-OCSP
 pki_ds_database=%(pki_instance_name)s-OCSP
 pki_ds_hostname=%(pki_hostname)s
 pki_subsystem_name=OCSP %(pki_hostname)s %(pki_https_port)s
-pki_subsystem_nickname=subsystemCert cert-%(pki_instance_id)s OCSP
+pki_subsystem_nickname=subsystemCert cert-%(pki_instance_name)s OCSP
 pki_subsystem_subject_dn=cn=OCSP Subsystem Certificate,o=%(pki_security_domain_name)s
 
 ###############################################################################
@@ -297,13 +296,13 @@ pki_admin_name=%(pki_admin_uid)s
 pki_admin_nickname=PKI Administrator for %(pki_dns_domainname)s
 pki_admin_subject_dn=cn=PKI Administrator,e=%(pki_admin_email)s,o=%(pki_security_domain_name)s
 pki_admin_uid=tksadmin
-pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_id)s TKS
+pki_audit_signing_nickname=auditSigningCert cert-%(pki_instance_name)s TKS
 pki_audit_signing_subject_dn=cn=TKS Audit Signing Certificate,o=%(pki_security_domain_name)s
-pki_ds_base_dn=o=%(pki_instance_id)s-TKS
+pki_ds_base_dn=o=%(pki_instance_name)s-TKS
 pki_ds_database=%(pki_instance_name)s-TKS
 pki_ds_hostname=%(pki_hostname)s
 pki_subsystem_name=TKS %(pki_hostname)s %(pki_https_port)s
-pki_subsystem_nickname=subsystemCert cert-%(pki_instance_id)s TKS
+pki_subsystem_nickname=subsystemCert cert-%(pki_instance_name)s TKS
 pki_subsystem_subject_dn=cn=TKS Subsystem Certificate,o=%(pki_security_domain_name)s
 
 ###############################################################################
diff --git a/base/deploy/man/man5/pki_default.cfg.5 b/base/deploy/man/man5/pki_default.cfg.5
index d8c5a5cf9362a337633cfaec09b973ae58621ee4..7bc650ec1e2edca0ec1a070c95b9d4a09b0728f5 100644
--- a/base/deploy/man/man5/pki_default.cfg.5
+++ b/base/deploy/man/man5/pki_default.cfg.5
@@ -28,17 +28,13 @@ This file contains the default settings for a Certificate Server instance create
 .PP
 There are a small number of bootstrap parameters which are passed in the configuration file by \fBpkispawn\fP. Other parameter's values can be interpolated tokens rather than explicit values. For example,
 .PP
-\fBpki_ca_signing_nickname=caSigningCert cert-%(pki_instance_id)s CA\fP
+\fBpki_ca_signing_nickname=caSigningCert cert-%(pki_instance_name)s CA\fP
 .PP
-substitutes the value of pki_instance_id into the parameter value.  It is possible to interpolate any parameter within a section or in [DEFAULT]. Any parameter used in interpolation can \fBONLY\fP be overridden within the same section.  So, for example, pki_instance_id should only be overridden in [DEFAULT]; otherwise, interpolations can fail.
+substitutes the value of pki_instance_name into the parameter value.  It is possible to interpolate any parameter within a section or in [DEFAULT]. Any parameter used in interpolation can \fBONLY\fP be overridden within the same section.  So, for example, pki_instance_name should only be overridden in [DEFAULT]; otherwise, interpolations can fail.
 
 .SH GENERAL INSTANCE PARAMETERS
 The parameters described below, as well as the parameters located in the following sections, can be customized as part of a deployment.  This list is not exhaustive.
 .TP
-.B pki_instance_id
-.IP
-This parameter is currently the same as \fBpki_instance_name\fR and will be removed in a future version of this product.
-.TP
 .B pki_instance_name
 .IP
 Name of the instance. The instance is located at /var/lib/pki/<instance_name>.  For Java subsystems, the default is specified as pki-tomcat.
diff --git a/base/deploy/src/scriptlets/finalization.py b/base/deploy/src/scriptlets/finalization.py
index 1a6e731ae069eaf5a78b00a9dd24d14e2fffd9f8..fa8a31e1f263eb35562de87f1640caa8953f68aa 100644
--- a/base/deploy/src/scriptlets/finalization.py
+++ b/base/deploy/src/scriptlets/finalization.py
@@ -84,7 +84,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # Log final process messages
         config.pki_log.info(log.PKISPAWN_END_MESSAGE_2,
                             master['pki_subsystem'],
-                            master['pki_instance_id'],
+                            master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         util.file.modify(master['pki_spawn_log'], silent=True)
         # If instance has not been configured, print the
@@ -111,6 +111,6 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
             util.systemd.start()
         config.pki_log.info(log.PKIDESTROY_END_MESSAGE_2,
                             master['pki_subsystem'],
-                            master['pki_instance_id'],
+                            master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         return self.rv
diff --git a/base/deploy/src/scriptlets/initialization.py b/base/deploy/src/scriptlets/initialization.py
index ba678cc277c60ad73eb58319e6ae930a0f57e827..034179ef1fda3ae0c4647f474cd7eef86e9114c6 100644
--- a/base/deploy/src/scriptlets/initialization.py
+++ b/base/deploy/src/scriptlets/initialization.py
@@ -35,7 +35,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # begin official logging
         config.pki_log.info(log.PKISPAWN_BEGIN_MESSAGE_2,
                             master['pki_subsystem'],
-                            master['pki_instance_id'],
+                            master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         if config.str2bool(master['pki_skip_installation']):
             config.pki_log.info(log.SKIP_INITIALIZATION_SPAWN_1, __name__,
@@ -76,7 +76,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # begin official logging
         config.pki_log.info(log.PKIRESPAWN_BEGIN_MESSAGE_2,
                             master['pki_subsystem'],
-                            master['pki_instance_id'],
+                            master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         config.pki_log.info(log.INITIALIZATION_RESPAWN_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
@@ -89,7 +89,7 @@ class PkiScriptlet(pkiscriptlet.AbstractBasePkiScriptlet):
         # begin official logging
         config.pki_log.info(log.PKIDESTROY_BEGIN_MESSAGE_2,
                             master['pki_subsystem'],
-                            master['pki_instance_id'],
+                            master['pki_instance_name'],
                             extra=config.PKI_INDENTATION_LEVEL_0)
         config.pki_log.info(log.INITIALIZATION_DESTROY_1, __name__,
                             extra=config.PKI_INDENTATION_LEVEL_1)
diff --git a/base/deploy/src/scriptlets/pkihelper.py b/base/deploy/src/scriptlets/pkihelper.py
index 1eb7b51e601ffc339de79eece58ef814f8d7f21d..ea84f7d0bb8f30b6b2d7f4c93dca20c8f8904b17 100644
--- a/base/deploy/src/scriptlets/pkihelper.py
+++ b/base/deploy/src/scriptlets/pkihelper.py
@@ -316,7 +316,7 @@ class namespace:
                 # Top-Level PKI base path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_instance_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
@@ -325,7 +325,7 @@ class namespace:
                 # Top-Level "/etc/sysconfig" path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_target_tomcat_conf_instance_id'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
@@ -333,7 +333,7 @@ class namespace:
                 # Systemd cgroup path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_cgroup_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
@@ -341,7 +341,7 @@ class namespace:
                 # Systemd cgroup CPU path collision
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_COLLISION_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_cgroup_cpu_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
@@ -350,7 +350,7 @@ class namespace:
             # Top-Level PKI log path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                master['pki_instance_id'],
+                master['pki_instance_name'],
                 master['pki_instance_log_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             sys.exit(1)
@@ -359,7 +359,7 @@ class namespace:
             # Top-Level PKI configuration path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                master['pki_instance_id'],
+                master['pki_instance_name'],
                 master['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             sys.exit(1)
@@ -368,45 +368,45 @@ class namespace:
             # Top-Level PKI registry path collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_COLLISION_2,
-                master['pki_instance_id'],
+                master['pki_instance_name'],
                 master['pki_instance_registry_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             sys.exit(1)
         # Run simple checks for reserved name namespace collisions
-        if master['pki_instance_id'] in config.PKI_BASE_RESERVED_NAMES:
+        if master['pki_instance_name'] in config.PKI_BASE_RESERVED_NAMES:
             # Top-Level PKI base path reserved name collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                master['pki_instance_id'],
+                master['pki_instance_name'],
                 master['pki_instance_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             sys.exit(1)
         # No need to check for reserved name under Top-Level PKI log path
-        if master['pki_instance_id'] in config.PKI_CONFIGURATION_RESERVED_NAMES:
+        if master['pki_instance_name'] in config.PKI_CONFIGURATION_RESERVED_NAMES:
             # Top-Level PKI configuration path reserved name collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                master['pki_instance_id'],
+                master['pki_instance_name'],
                 master['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             sys.exit(1)
         if master['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
             # Top-Level Apache PKI registry path reserved name collision
-            if master['pki_instance_id'] in\
+            if master['pki_instance_name'] in\
                config.PKI_APACHE_REGISTRY_RESERVED_NAMES:
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
         elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # Top-Level Tomcat PKI registry path reserved name collision
-            if master['pki_instance_id'] in\
+            if master['pki_instance_name'] in\
                config.PKI_TOMCAT_REGISTRY_RESERVED_NAMES:
                 config.pki_log.error(
                     log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     master['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
@@ -793,11 +793,11 @@ class configuration_file:
         # that are present in the corresponding configuration file
         if master['pki_deployment_executable'] == 'pkidestroy':
             if master['pki_deployed_instance_name'] !=\
-               master['pki_instance_id']:
+               master['pki_instance_name']:
                 config.pki_log.error(
                     log.PKIHELPER_COMMAND_LINE_PARAMETER_MISMATCH_2,
                     master['pki_deployed_instance_name'],
-                    master['pki_instance_id'],
+                    master['pki_instance_name'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
         return
@@ -962,7 +962,7 @@ class instance:
             if not os.path.exists(master['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2,
                                      master['pki_subsystem'],
-                                     master['pki_instance_id'],
+                                     master['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
         except OSError as exc:
@@ -975,7 +975,7 @@ class instance:
             if os.path.exists(master['pki_subsystem_path']):
                 config.pki_log.error(log.PKI_SUBSYSTEM_ALREADY_EXISTS_2,
                                      master['pki_subsystem'],
-                                     master['pki_instance_id'],
+                                     master['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
                 sys.exit(1)
         except OSError as exc:
@@ -2448,12 +2448,12 @@ class systemd:
                 command = "systemctl" + " " +\
                           "start" + " " +\
                           "pki-apached" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 command = "systemctl" + " " +\
                           "start" + " " +\
                           "pki-tomcatd" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
@@ -2474,12 +2474,12 @@ class systemd:
                 command = "systemctl" + " " +\
                           "stop" + " " +\
                           "pki-apached" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 command = "systemctl" + " " +\
                           "stop" + " " +\
                           "pki-tomcatd" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
@@ -2500,12 +2500,12 @@ class systemd:
                 command = "systemctl" + " " +\
                           "restart" + " " +\
                           "pki-apached" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             elif master['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
                 command = "systemctl" + " " +\
                           "restart" + " " +\
                           "pki-tomcatd" + "@" +\
-                          master['pki_instance_id'] + "." + "service"
+                          master['pki_instance_name'] + "." + "service"
             # Display this "systemd" execution managment command
             config.pki_log.info(
                 log.PKIHELPER_SYSTEMD_COMMAND_1, command,
diff --git a/base/deploy/src/scriptlets/pkiparser.py b/base/deploy/src/scriptlets/pkiparser.py
index 558873ded60c8d0f6c09c22570ed522004ebfbff..c0f5a432f168df3d15a426182718931dc824de86 100644
--- a/base/deploy/src/scriptlets/pkiparser.py
+++ b/base/deploy/src/scriptlets/pkiparser.py
@@ -359,7 +359,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_systemd_service_link'] =\
                     config.pki_master_dict['pki_systemd_target_wants'] + "/" +\
                     "pki-apached" + "@" +\
-                    config.pki_master_dict['pki_instance_id'] + ".service"
+                    config.pki_master_dict['pki_instance_name'] + ".service"
             elif config.pki_master_dict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
                 config.pki_master_dict['pki_systemd_service'] =\
@@ -374,7 +374,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_systemd_service_link'] =\
                     config.pki_master_dict['pki_systemd_target_wants'] + "/" +\
                     "pki-tomcatd" + "@" +\
-                    config.pki_master_dict['pki_instance_id'] + ".service"
+                    config.pki_master_dict['pki_instance_name'] + ".service"
                 config.pki_master_dict['pki_tomcat_bin_path'] =\
                     os.path.join(config.PKI_DEPLOYMENT_TOMCAT_ROOT,
                                  "bin")
@@ -456,14 +456,14 @@ class PKIConfigParser:
             config.pki_master_dict['pki_cgroup_systemd_service'] =\
                 os.path.join(
                     config.pki_master_dict['pki_cgroup_systemd_service_path'],
-                    config.pki_master_dict['pki_instance_id'])
+                    config.pki_master_dict['pki_instance_name'])
             config.pki_master_dict['pki_cgroup_cpu_systemd_service_path'] =\
                 os.path.join("/sys/fs/cgroup/cpu\,cpuacct/system",
                              config.pki_master_dict['pki_systemd_service'])
             config.pki_master_dict['pki_cgroup_cpu_systemd_service'] =\
                 os.path.join(
                     config.pki_master_dict['pki_cgroup_cpu_systemd_service_path'],
-                    config.pki_master_dict['pki_instance_id'])
+                    config.pki_master_dict['pki_instance_name'])
             # PKI top-level file system layout name/value pairs
             # NOTE:  Never use 'os.path.join()' whenever 'pki_root_prefix'
             #        is being prepended!!!
@@ -483,15 +483,15 @@ class PKIConfigParser:
             # Apache/Tomcat instance base name/value pairs
             config.pki_master_dict['pki_instance_path'] =\
                 os.path.join(config.pki_master_dict['pki_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             # Apache/Tomcat instance log name/value pairs
             config.pki_master_dict['pki_instance_log_path'] =\
                 os.path.join(config.pki_master_dict['pki_log_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             # Apache/Tomcat instance configuration name/value pairs
             config.pki_master_dict['pki_instance_configuration_path'] =\
                 os.path.join(config.pki_master_dict['pki_configuration_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             # Apache/Tomcat instance registry name/value pairs
             # Apache-specific instance name/value pairs
             if config.pki_master_dict['pki_subsystem'] in\
@@ -508,7 +508,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_instance_registry_path'] =\
                     os.path.join(
                         config.pki_master_dict['pki_instance_type_registry_path'],
-                        config.pki_master_dict['pki_instance_id'])
+                        config.pki_master_dict['pki_instance_name'])
                 # Apache instance convenience symbolic links
             # Tomcat-specific instance name/value pairs
             elif config.pki_master_dict['pki_subsystem'] in\
@@ -572,7 +572,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_instance_registry_path'] =\
                     os.path.join(
                         config.pki_master_dict['pki_instance_type_registry_path'],
-                        config.pki_master_dict['pki_instance_id'])
+                        config.pki_master_dict['pki_instance_name'])
                 # Tomcat instance convenience symbolic links
                 config.pki_master_dict['pki_tomcat_bin_link'] =\
                     os.path.join(config.pki_master_dict['pki_instance_path'],
@@ -585,7 +585,7 @@ class PKIConfigParser:
                                  "log4j.properties")
                 config.pki_master_dict['pki_instance_systemd_link'] =\
                     os.path.join(config.pki_master_dict['pki_instance_path'],
-                                 config.pki_master_dict['pki_instance_id'])
+                                 config.pki_master_dict['pki_instance_name'])
                 # Tomcat instance common lib jars
                 if config.pki_master_dict['pki_architecture'] == 64:
                     config.pki_master_dict['pki_jss_jar'] =\
@@ -944,7 +944,7 @@ class PKIConfigParser:
                     "CS.cfg")
             config.pki_master_dict['pki_target_registry'] =\
                 os.path.join(config.pki_master_dict['pki_instance_registry_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             if config.pki_master_dict['pki_subsystem'] == "CA" and\
                config.str2bool(config.pki_master_dict['pki_external_step_two']):
                 # Use the 'pki_one_time_pin' established during the setup of
@@ -989,7 +989,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_target_tomcat_conf_instance_id'] =\
                     config.pki_master_dict['pki_root_prefix'] +\
                     "/etc/sysconfig/" +\
-                    config.pki_master_dict['pki_instance_id']
+                    config.pki_master_dict['pki_instance_name']
                 config.pki_master_dict['pki_target_tomcat_conf'] =\
                     os.path.join(
                         config.pki_master_dict['pki_instance_configuration_path'],
@@ -1083,13 +1083,13 @@ class PKIConfigParser:
             # Slot assignment name/value pairs
             #     NOTE:  Master key == Slots key; Master value ==> Slots value
             config.pki_master_dict['PKI_INSTANCE_ID_SLOT'] =\
-                config.pki_master_dict['pki_instance_id']
+                config.pki_master_dict['pki_instance_name']
             config.pki_master_dict['PKI_INSTANCE_INITSCRIPT_SLOT'] =\
                 os.path.join(config.pki_master_dict['pki_instance_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             config.pki_master_dict['PKI_REGISTRY_FILE_SLOT'] =\
                 os.path.join(config.pki_master_dict['pki_subsystem_registry_path'],
-                             config.pki_master_dict['pki_instance_id'])
+                             config.pki_master_dict['pki_instance_name'])
             if config.pki_master_dict['pki_subsystem'] in\
                config.PKI_APACHE_SUBSYSTEMS:
                 config.pki_master_dict['FORTITUDE_APACHE_SLOT'] = None
@@ -1233,7 +1233,7 @@ class PKIConfigParser:
                     config.pki_master_dict['pki_subsystem'].lower()
                 config.pki_master_dict['PKI_SYSTEMD_SERVICENAME_SLOT'] =\
                     "pki-tomcatd" + "@" +\
-                    config.pki_master_dict['pki_instance_id'] + ".service"
+                    config.pki_master_dict['pki_instance_name'] + ".service"
                 config.pki_master_dict['PKI_UNSECURE_PORT_SLOT'] =\
                     config.pki_master_dict['pki_http_port']
                 config.pki_master_dict['PKI_UNSECURE_PORT_CONNECTOR_NAME_SLOT'] =\
@@ -1255,7 +1255,7 @@ class PKIConfigParser:
                 config.pki_master_dict['TOMCAT_LOG_DIR_SLOT'] =\
                     config.pki_master_dict['pki_instance_log_path']
                 config.pki_master_dict['TOMCAT_PIDFILE_SLOT'] =\
-                    "/var/run/pki/tomcat/" + config.pki_master_dict['pki_instance_id'] + ".pid"
+                    "/var/run/pki/tomcat/" + config.pki_master_dict['pki_instance_name'] + ".pid"
                 config.pki_master_dict['TOMCAT_SERVER_PORT_SLOT'] =\
                     config.pki_master_dict['pki_tomcat_server_port']
                 config.pki_master_dict['TOMCAT_SSL2_CIPHERS_SLOT'] =\
@@ -1326,7 +1326,7 @@ class PKIConfigParser:
                              "secmod.db")
             config.pki_master_dict['pki_self_signed_token'] = "internal"
             config.pki_master_dict['pki_self_signed_nickname'] =\
-                "Server-Cert cert-" + config.pki_master_dict['pki_instance_id']
+                "Server-Cert cert-" + config.pki_master_dict['pki_instance_name']
             config.pki_master_dict['pki_self_signed_subject'] =\
                 "cn=" + config.pki_master_dict['pki_hostname'] + "," +\
                 "o=" + config.pki_master_dict['pki_certificate_timestamp']
@@ -1369,7 +1369,7 @@ class PKIConfigParser:
                 config.pki_master_dict['pki_client_dir'] =\
                     os.path.join(
                         os.path.expanduser("~"), ".pki",
-                        config.pki_master_dict['pki_instance_id'])
+                        config.pki_master_dict['pki_instance_name'])
             config.pki_master_dict['pki_client_subsystem_dir'] =\
                 os.path.join(
                     config.pki_master_dict['pki_client_dir'],
@@ -1615,14 +1615,14 @@ class PKIConfigParser:
                     "systemctl" + " " +\
                     "restart" + " " +\
                     "pki-apached" + "@" +\
-                    config.pki_master_dict['pki_instance_id'] + "." + "service"
+                    config.pki_master_dict['pki_instance_name'] + "." + "service"
             elif config.pki_master_dict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
                 config.pki_master_dict['pki_registry_initscript_command'] =\
                     "systemctl" + " " +\
                     "restart" + " " +\
                     "pki-tomcatd" + "@" +\
-                    config.pki_master_dict['pki_instance_id'] + "." + "service"
+                    config.pki_master_dict['pki_instance_name'] + "." + "service"
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-- 
1.7.11.7